EDIT - feature request #10337

Allow supportedCategoricalEnumeration and recommendedModfiers for term collection
05/29/2023 01:20 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 70%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.38

Severity: normal

Description

... hot only for vocabularies

These lists should be adapted as good as possible to the needs of a given project, so it should be much more flexibel then when
using vocabularies only.

Related issues:
Related to EDIT - bug #10340: Categorical and Quantitative Data details view ... Closed
Related to EDIT - bug #10377: Changing recommended state collection in Charac... Closed

Associated revisions

Revision 7aa9626e - 05/29/2023 01:22 AM - Andreas Miiller

ref #10337 make recommendedModifierEnumeration and supportedCategoricalEnumerations term collections in cdmlib

Revision 21805fba - 05/29/2023 10:29 PM - Andreas Miiller

ref #10337 make recommendedModifierEnumeration and supportedCategoricalEnumerations term collections in cdmlib (cont.)

Revision c17f19ef - 05/29/2023 10:43 PM - Andreas Miiller

ref #10337 make recommendedModifierEnumeration and supportedCategoricalEnumerations term collections in taxeditor

Revision 8d8cae87 - 05/30/2023 10:07 AM - Andreas Miuller

ref #10337 add term collection service

Revision 97fd8824 - 05/30/2023 11:13 AM - Andreas Miiller

ref #10337 add term collection service to httplnvokerServices

Revision b5fbb43f - 05/30/2023 11:14 AM - Andreas Miiller

ref #10337 add term collection service to CdmApplicationRemoteConfiguration

Revision 6¢76¢772 - 05/30/2023 11:39 AM - Andreas Miiller

ref #10337 add list(Set) to collection service

Revision ee26450d - 05/30/2023 11:58 AM - Andreas Muller

cleanup and ref #10337 remove TermVocabulary cast from comparator

Revision 111b9921 - 05/30/2023 11:58 AM - Andreas Miuller

ref #10337 adapt getVocabularies to term collections

Revision 0441dceb - 05/30/2023 12:24 PM - Andreas Miiller
ref #10337 fix httpTermCollectionService

Revision c07cf9ef - 05/30/2023 01:47 PM - Andreas Miiller

ref #10337 further adapt recommendedXXX in Feature to use term collections

Revision a977a461 - 05/30/2023 02:04 PM - Andreas Miiller
ref #10337 further adapt taxEditor to recommendedXXX

Revision 5b9488d9 - 05/30/2023 03:12 PM - Andreas Miuller

ref #10337 further adapt taxEditor to recommendedXXX (many vocabulary -> termCollection renamings)

Revision bec31e8f - 05/30/2023 03:55 PM - Andreas Miiller
ref #10337 adapt fromFactory to recommendedXXX

Revision cac337b3 - 06/08/2023 09:33 PM - Andreas Miiller

ref #10337 adapt to term collections in app-import

History

#1 - 05/30/2023 04:56 PM - Andreas Miiller

- Related to bug #10340: Categorical and Quantitative Data details view must only show recommended modifiers added

#2 - 05/30/2023 05:04 PM - Andreas Miiller

- Status changed from New to Resolved

- Assignee changed from Andreas Miiller to Katja Luther
- Priority changed from New to Highest

- % Done changed from 0 to 70

This should be fixed. Please review (especially if all functionality still works and if the code looks correct). | also did some renaming of classes in
taxEditor to have it more consistent.

Can you also check if all classes are still needed?

There are e.g. classes like
RecommendedModifierCollectionsCollectionSection/RecommendedModifierCollectionsDtoCollectionSection
RecommendedModifierCollectionsElement/RecommendedModifierDtoCollectionsElement
RecommendedStateCollectionElement/RecommendedStateCollectionsDtoElement
RecommendedStateCollectionSection/RecommendedStateDtoCollectionsSection

Can the non-dto classes be deleted?

#3 - 05/30/2023 05:05 PM - Andreas Miiller

Please also check if #10340 can easily be fixed as it is related to this ticket.

#4 - 06/01/2023 09:54 AM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Miiller

Andreas Muller wrote in #note-2:

This should be fixed. Please review (especially if all functionality still works and if the code looks correct). | also did some renaming of classes in
taxEditor to have it more consistent.

Can you also check if all classes are still needed?

There are e.g. classes like
RecommendedModifierCollectionsCollectionSection/RecommendedModifierCollectionsDtoCollectionSection
RecommendedModifierCollectionsElement/RecommendedModifierDtoCollectionsElement
RecommendedStateCollectionElement/RecommendedStateCollectionsDtoElement

RecommendedStateCollectionSection/RecommendedStateDtoCollectionsSection

Can the non-dto classes be deleted?

| tested to add a tree as recommended state collection and as recommended modifier collection, this worked as expected.

Currently we need the dto and the non-dto elements because the vocabulary view still uses cdm entities

#5 - 08/03/2023 03:59 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/10340

- Related to bug #10377: Changing recommended state collection in Character editor throws NPE added
